debugserver_client_free
debugserver_client_new
debugserver_client_receive
debugserver_client_receive_response
debugserver_client_receive_with_timeout
debugserver_client_send
debugserver_client_send_command
debugserver_client_set_ack_mode
debugserver_client_set_argv
debugserver_client_set_environment_hex_encoded
debugserver_client_set_receive_params
debugserver_client_start_service
debugserver_client_t
debugserver_command_free
debugserver_command_new
debugserver_command_t
debugserver_decode_string
debugserver_encode_string
debugserver_error_t
DEBUGSERVER_SECURE_SERVICE_NAME
DEBUGSERVER_SERVICE_NAME

## debugserver_client_send()

LIBIMOBILEDEVICE_API debugserver_error_t debugserver_client_send | ( | debugserver_client_t | client,
|  | const char * | data,
|  | uint32_t | size,
|  | uint32_t * | sent )

Sends raw data using the given debugserver service client.

Parameters

  client | The debugserver client to use for sending
  data | Data to send
  size | Size of the data to send
  sent | Number of bytes sent (can be NULL to ignore)

Returns
  DEBUGSERVER_E_SUCCESS on success, DEBUGSERVER_E_INVALID_ARG when one or more parameters are invalid, or DEBUGSERVER_E_UNKNOWN_ERROR when an unspecified error occurs.